> ## Documentation Index
> Fetch the complete documentation index at: https://docs.holacati.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Song URL

> Get the playback URL for a song



## OpenAPI

````yaml api-reference/openapi-music.json get /songurl
openapi: 3.0.0
info:
  title: Catalina Music API
  version: 1.0.0
  description: An API to search for music, get song URLs, and find artist's top tracks.
servers:
  - url: /
security: []
paths:
  /songurl:
    get:
      summary: Get the playback URL for a song
      description: Get the playback URL for a song
      parameters:
        - name: query
          in: query
          required: true
          schema:
            type: string
          description: The title of the song to get the URL for.
      responses:
        '200':
          description: Successful response with the song's YouTube ID.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SongUrl'
components:
  schemas:
    SongUrl:
      type: object
      properties:
        status:
          type: string
        id:
          type: string

````